Bug 126342 - (customkernel) Meta bug: custom built kernels
Meta bug: custom built kernels
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://mail.nl.linux.org/kernelnewbies/
: Tracking, Triaged
: 18957 58395 105993 107082 111077 113192 113961 114366 120512 124632 125882 126142 126390 126418 132753 134125 137409 140500 150445 150504 150786 152187 155040 155123 171203 178865 179067 196563 202291 206580 453498 712593 798464 799585 802116 802117 802144 813580 815115 817698 858592 1049827 1052770 1055785 1067698 1146725 1173902 1178321 1178322 1178324 1191378 1195402 1197974 1210440 1221029 1302346 1335820 1368670 1398395 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-19 08:51 EDT by Brian Stein
Modified: 2016-11-28 07:40 EST (History)
37 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2004-06-19 08:51:32 EDT
The linux kernel source code can be configured in a very fine grained
way, leading to an absolutely enormous amount of different possible
combinations. Due to the sheer amount of possible combinations, it 
is not possible to make sure every combination or kernel option can 
be successfully built from the source code we use for the kernel 
rpms. In addition it is possible to (de)select options that render 
a computer unbootable.

Therefore we cannot provide tailored help about the bug you filed
regarding compiling custom kernels.
                                                                     
          
If you need help with or advice about building kernels, we recommend
subscribing to one of the following mailing lists and ask questions
on these lists (after searching the archives).
                                                                     
          
fedora-list@redhat.com
http://www.redhat.com/mailman/listinfo/fedora-list
                                                                     
          
kernelnewbies@nl.linux.org
http://mail.nl.linux.org/kernelnewbies/
Comment 1 Arjan van de Ven 2004-06-19 08:51:54 EDT
*** Bug 126142 has been marked as a duplicate of this bug. ***
Comment 2 Arjan van de Ven 2004-06-19 08:52:53 EDT
In addition, it may be worth verifying your bug is present in the
latest kernel you can download from www.kernel.org and if so, file a
bug in the http://bugs.kernel.org bugtracker
Comment 3 Dave Jones 2004-06-19 11:14:20 EDT
*** Bug 113192 has been marked as a duplicate of this bug. ***
Comment 4 Dave Jones 2004-06-19 11:15:36 EDT
URL in comment #2 should be http://bugme.osdl.org
Comment 5 Dave Jones 2004-06-19 11:30:27 EDT
*** Bug 113961 has been marked as a duplicate of this bug. ***
Comment 6 Dave Jones 2004-06-19 11:33:13 EDT
*** Bug 114366 has been marked as a duplicate of this bug. ***
Comment 7 Arjan van de Ven 2004-06-21 02:49:37 EDT
*** Bug 126390 has been marked as a duplicate of this bug. ***
Comment 8 Arjan van de Ven 2004-06-21 08:17:58 EDT
*** Bug 126418 has been marked as a duplicate of this bug. ***
Comment 9 Dave Jones 2004-10-28 20:16:54 EDT
*** Bug 137409 has been marked as a duplicate of this bug. ***
Comment 10 Dave Jones 2004-10-29 18:12:38 EDT
*** Bug 105993 has been marked as a duplicate of this bug. ***
Comment 11 Dave Jones 2004-10-29 18:14:30 EDT
*** Bug 18957 has been marked as a duplicate of this bug. ***
Comment 12 Dave Jones 2004-10-29 23:25:12 EDT
*** Bug 120512 has been marked as a duplicate of this bug. ***
Comment 13 Dave Jones 2004-10-29 23:31:58 EDT
*** Bug 107082 has been marked as a duplicate of this bug. ***
Comment 14 Dave Jones 2004-10-29 23:43:53 EDT
*** Bug 58395 has been marked as a duplicate of this bug. ***
Comment 15 Dave Jones 2004-11-02 22:43:51 EST
*** Bug 124632 has been marked as a duplicate of this bug. ***
Comment 16 Dave Jones 2004-11-18 23:20:11 EST
*** Bug 132753 has been marked as a duplicate of this bug. ***
Comment 17 Dave Jones 2004-11-19 23:22:54 EST
*** Bug 125882 has been marked as a duplicate of this bug. ***
Comment 18 Dave Jones 2004-11-19 23:33:38 EST
*** Bug 111077 has been marked as a duplicate of this bug. ***
Comment 19 Dave Jones 2004-11-20 00:14:00 EST
*** Bug 134125 has been marked as a duplicate of this bug. ***
Comment 20 Dave Jones 2004-11-22 20:01:27 EST
*** Bug 125882 has been marked as a duplicate of this bug. ***
Comment 21 Dave Jones 2004-11-23 00:15:22 EST
*** Bug 140500 has been marked as a duplicate of this bug. ***
Comment 22 Darin May 2004-11-23 13:58:40 EST
How then is feedback supposed to get back to module owners?  Why not
just mark them WONTFIX?
Comment 23 Aleksey Nogin 2004-11-24 14:33:19 EST
What is the policy for the case the bug is introduced by a Red Hat's
patch? (Example - bug 125882).
Comment 24 Dave Jones 2004-11-25 01:39:32 EST
*** Bug 140500 has been marked as a duplicate of this bug. ***
Comment 25 Dave Jones 2005-03-06 17:08:14 EST
*** Bug 150445 has been marked as a duplicate of this bug. ***
Comment 26 Robert de Vries 2005-03-07 16:15:32 EST
<cynic mode on> 
Maybe it would be better if Redhat would stick to the standard Linus 
kernel instead of introducing patches which make things worse. 
<cynic mode off> 
I agree with the text from Arjan van de Ven, but if redhat introduces 
patches which break good working configuration settings of the 
standard kernel, then it is the responsibility of redhat to fix it 
and not group my bug report (bug 150445) under this bug. 
Comment 27 Barry K. Nathan 2005-03-07 21:59:59 EST
> <cynic mode on> 
> Maybe it would be better if Redhat would stick to the standard Linus 
> kernel instead of introducing patches which make things worse. 
> <cynic mode off> 

Under the 2.6 kernel development model, there *are* going to be some
long-term differences between vendor kernels and the mainline kernel,
and that's the way Linus wants it!!

For example:
http://kerneltrap.org/node/4590

> NOTE! I'd personally hate some of the security things. For
> example, I think the "randomize code addresses" is absolutely
> horrible, just because of the startup overhead it implies
> (specifically no pre-linking). I also immensely dislike
> exec-shield because of the segment games it plays - I think it
> makes sense in the short run but not in the long run, so I
> much prefer that one as a "vendor feature", not as a "core
> feature".
> 
> So when I talk about security, I have this double-standard where
> I end up convinced that many features are things that _I_ should
> not do, but others likely should ;)


In your case, however, it looks like the patch relates to a feature
that could make it into the mainline kernel in the not-too-distant
future, for what that's worth.

> I agree with the text from Arjan van de Ven, but if redhat
> introduces patches which break good working configuration settings
> of the standard kernel, then it is the responsibility of redhat to
> fix it and not group my bug report (bug 150445) under this bug.

No, it's only Red Hat's *responsibility* to fix it if it breaks their
default .configs. It would be nice for them to fix these types of
issues, but it's not a *duty* of theirs, and it's something that
people can patch at the same time that they're modifying the .config.

If you would prefer to run a mainline kernel without the Red Hat
patches, you can actually do that and it should work (but Red Hat
won't support you -- but Fedora's not officially supported anyway so
that's not really an issue here).
Comment 28 Dave Jones 2005-03-08 13:53:06 EST
*** Bug 150504 has been marked as a duplicate of this bug. ***
Comment 29 Dave Jones 2005-03-10 15:09:58 EST
*** Bug 150786 has been marked as a duplicate of this bug. ***
Comment 30 raxet 2005-03-19 05:46:44 EST
Latest dev kernel 2.6.11-1.1185_FC4 on make bzImage barphs:

LD      .tmp_vmlinux1
arch/i386/kernel/built-in.o(.init.text+0x1b21): In function `init_IRQ':
: undefined reference to `irq_ctx_init'
arch/i386/kernel/built-in.o(.init.text+0x1b38): In function `init_IRQ':
: undefined reference to `irq_ctx_init'
Comment 31 Dave Jones 2005-03-26 21:36:51 EST
*** Bug 152187 has been marked as a duplicate of this bug. ***
Comment 32 Dave Jones 2005-04-15 17:20:56 EDT
*** Bug 155040 has been marked as a duplicate of this bug. ***
Comment 33 Dave Jones 2005-04-16 15:53:05 EDT
*** Bug 155123 has been marked as a duplicate of this bug. ***
Comment 34 Joe Acosta 2005-04-16 17:56:26 EDT
Okay I have hit the same thing as comment # 30, which is but 155123.  I see they
are dups, but the search in bugzilla did not come up with anything for my search
on irq_ctx_init .  I think the difference here, is that what I'm hearing is that
YOU MUST compile your kernel with kernel debugging ON else your kernel wont compile.
Comment 35 Dave Jones 2005-08-26 19:52:15 EDT
*** Bug 166828 has been marked as a duplicate of this bug. ***
Comment 36 Dave Jones 2005-10-25 03:41:45 EDT
*** Bug 171203 has been marked as a duplicate of this bug. ***
Comment 37 Dave Jones 2006-01-24 18:33:32 EST
*** Bug 178865 has been marked as a duplicate of this bug. ***
Comment 38 John Klingler 2006-01-24 18:44:08 EST
I used the same source, same config file and same compiler. This should result
in the same kernel, don't you think?
Comment 39 John Klingler 2006-01-24 20:30:31 EST
Solved

I was able to compile a runnable duplicate of the precompiled kernel by adding a
"make oldconfig" step to the build procedure:

make mrproper
cp /boot/config-2.6.11-1.1369_FC4smp .config
make oldconfig
make
make module_install
make install

make oldconfig only changed the date and kernel name in the .config file but it
obviously changed some things elsewhere because the kernel now boots and runs. 
Comment 40 Dave Jones 2006-01-27 16:20:37 EST
*** Bug 179067 has been marked as a duplicate of this bug. ***
Comment 41 Dave Jones 2006-06-26 10:37:51 EDT
*** Bug 196563 has been marked as a duplicate of this bug. ***
Comment 42 Dave Jones 2006-08-14 14:11:43 EDT
*** Bug 202291 has been marked as a duplicate of this bug. ***
Comment 43 Dave Jones 2006-09-16 23:08:13 EDT
*** Bug 206580 has been marked as a duplicate of this bug. ***
Comment 44 Bug Zapper 2008-04-03 11:36:31 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 45 Dave Jones 2008-06-30 23:22:40 EDT
*** Bug 453498 has been marked as a duplicate of this bug. ***
Comment 46 Josh Boyer 2011-09-26 14:07:01 EDT
*** Bug 712593 has been marked as a duplicate of this bug. ***
Comment 47 Josh Boyer 2012-02-29 11:04:09 EST
*** Bug 798464 has been marked as a duplicate of this bug. ***
Comment 48 Josh Boyer 2012-03-05 10:36:42 EST
*** Bug 799772 has been marked as a duplicate of this bug. ***
Comment 49 Dan Mashal 2012-03-07 03:07:50 EST
With default stock install of Fedora 17, still experiencing this issue. Why are we not on RC6 yet?
Comment 50 Dan Mashal 2012-03-07 03:12:13 EST
*** Bug 799772 has been marked as a duplicate of this bug. ***
Comment 51 Josh Boyer 2012-03-07 10:19:14 EST
Please don't change the fields in this bug.
Comment 52 Josh Boyer 2012-03-07 16:10:30 EST
*** Bug 799585 has been marked as a duplicate of this bug. ***
Comment 53 Josh Boyer 2012-03-12 09:48:20 EDT
*** Bug 802117 has been marked as a duplicate of this bug. ***
Comment 54 Josh Boyer 2012-03-12 09:48:25 EDT
*** Bug 802116 has been marked as a duplicate of this bug. ***
Comment 55 Josh Boyer 2012-03-12 09:58:59 EDT
*** Bug 802144 has been marked as a duplicate of this bug. ***
Comment 56 Josh Boyer 2012-04-17 19:48:41 EDT
*** Bug 813580 has been marked as a duplicate of this bug. ***
Comment 57 Josh Boyer 2012-04-23 10:14:09 EDT
*** Bug 815115 has been marked as a duplicate of this bug. ***
Comment 58 Josh Boyer 2012-04-30 19:43:35 EDT
*** Bug 817698 has been marked as a duplicate of this bug. ***
Comment 59 Josh Boyer 2012-09-19 08:54:39 EDT
*** Bug 858592 has been marked as a duplicate of this bug. ***
Comment 60 Josh Boyer 2012-09-26 11:45:41 EDT
*** Bug 860712 has been marked as a duplicate of this bug. ***
Comment 61 Josh Boyer 2012-09-26 12:03:12 EDT
*** Bug 860712 has been marked as a duplicate of this bug. ***
Comment 63 Josh Boyer 2014-01-08 07:32:13 EST
*** Bug 1049827 has been marked as a duplicate of this bug. ***
Comment 64 Josh Boyer 2014-01-14 20:34:11 EST
*** Bug 1052770 has been marked as a duplicate of this bug. ***
Comment 65 Michele Baldessari 2014-01-23 03:27:03 EST
*** Bug 1055785 has been marked as a duplicate of this bug. ***
Comment 66 Josh Boyer 2014-02-20 16:32:17 EST
*** Bug 1067698 has been marked as a duplicate of this bug. ***
Comment 67 Josh Boyer 2014-09-26 08:28:09 EDT
*** Bug 1146725 has been marked as a duplicate of this bug. ***
Comment 68 Josh Boyer 2014-12-14 14:35:03 EST
*** Bug 1173902 has been marked as a duplicate of this bug. ***
Comment 69 Josh Boyer 2015-01-04 10:08:48 EST
*** Bug 1178321 has been marked as a duplicate of this bug. ***
Comment 70 Josh Boyer 2015-01-04 10:08:51 EST
*** Bug 1178322 has been marked as a duplicate of this bug. ***
Comment 71 Josh Boyer 2015-01-04 10:09:18 EST
*** Bug 1178324 has been marked as a duplicate of this bug. ***
Comment 72 Josh Boyer 2015-02-11 08:15:04 EST
*** Bug 1191378 has been marked as a duplicate of this bug. ***
Comment 73 Josh Boyer 2015-03-03 08:14:48 EST
*** Bug 1197974 has been marked as a duplicate of this bug. ***
Comment 74 Josh Boyer 2015-03-04 09:12:53 EST
*** Bug 1195402 has been marked as a duplicate of this bug. ***
Comment 75 Josh Boyer 2015-03-30 11:37:26 EDT
*** Bug 1207282 has been marked as a duplicate of this bug. ***
Comment 76 Josh Boyer 2015-04-09 14:18:28 EDT
*** Bug 1210440 has been marked as a duplicate of this bug. ***
Comment 77 Josh Boyer 2015-05-13 08:57:10 EDT
*** Bug 1221029 has been marked as a duplicate of this bug. ***
Comment 78 Fedora Kernel Team 2016-01-27 09:49:41 EST
*** Bug 1302346 has been marked as a duplicate of this bug. ***
Comment 79 Josh Boyer 2016-05-13 08:20:35 EDT
*** Bug 1335820 has been marked as a duplicate of this bug. ***
Comment 80 Roland 2016-05-13 18:03:42 EDT
Hi,

I want to build a custom kernel.
Previously, i did:
- install kernel src rpm of kernel 4.4.9
- download kernelpatch 4.4.10


i start the build, as non-root, on my fedora 23 pc, with:
rpmbuild -ba kernel.spec [enter]

however, the build stops with:

SPECS]$ rpmbuild -ba kernel.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.mrPP7W
+ umask 022
+ cd /home/krusader/rpmbuild/BUILD
+ patch_command='patch -p1 -F1 -s'
++ find /home/krusader/rpmbuild/BUILD -maxdepth 1 -type d -name 'kernel-4.*'
++ grep -x -v /home/krusader/rpmbuild/BUILD/kernel-4.4.fc23
+ sharedirs=
+ :
+ '[' -d kernel-4.4.fc23 ']'
+ cd kernel-4.4.fc23
+ for i in 'linux-*'
+ '[' -d linux-4.4.10-300.fc23.x86_64 ']'
+ rm -rf deleteme.x86_64
+ mv linux-4.4.10-300.fc23.x86_64 deleteme-linux-4.4.10-300.fc23.x86_64
+ cd ..
+ '[' '!' -d kernel-4.4.fc23/vanilla-4.4 ']'
+ cd kernel-4.4.fc23
+ cp -al vanilla-4.4 linux-4.4.10-300.fc23.x86_64
+ rm -rf deleteme-linux-4.4.10-300.fc23.x86_64
+ cd linux-4.4.10-300.fc23.x86_64
+ '[' '!' -d .git ']'
+ git init
Initialized empty Git repository in /home/krusader/rpmbuild/BUILD/kernel-4.4.fc23/linux-4.4.10-300.fc23.x86_64/.git/
+ git config user.email kernel-team@fedoraproject.org
+ git config user.name 'Fedora Kernel Team'
+ git config gc.auto 0
+ git add .
+ git commit -a -q -m baseline
+ xzcat /home/krusader/rpmbuild/SOURCES/patch-4.4.10.xz
+ patch -p1 -F1 -s
Reversed (or previously applied) patch detected!  Assume -R? [n]

I am clueless what to do now?
Thanks,
- Roland
Comment 81 Alessandro Selli 2016-05-14 14:40:01 EDT
(In reply to Roland from comment #80)
> Hi,
> 
> I want to build a custom kernel.
> Previously, i did:
> - install kernel src rpm of kernel 4.4.9
> - download kernelpatch 4.4.10
> 
> 
> i start the build, as non-root, on my fedora 23 pc, with:
> rpmbuild -ba kernel.spec [enter]
> 
> however, the build stops with:
> 
> SPECS]$ rpmbuild -ba kernel.spec
> Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.mrPP7W
> + umask 022
> + cd /home/krusader/rpmbuild/BUILD
> + patch_command='patch -p1 -F1 -s'
> ++ find /home/krusader/rpmbuild/BUILD -maxdepth 1 -type d -name 'kernel-4.*'
> ++ grep -x -v /home/krusader/rpmbuild/BUILD/kernel-4.4.fc23
> + sharedirs=
> + :
> + '[' -d kernel-4.4.fc23 ']'
> + cd kernel-4.4.fc23
> + for i in 'linux-*'
> + '[' -d linux-4.4.10-300.fc23.x86_64 ']'
> + rm -rf deleteme.x86_64
> + mv linux-4.4.10-300.fc23.x86_64 deleteme-linux-4.4.10-300.fc23.x86_64
> + cd ..
> + '[' '!' -d kernel-4.4.fc23/vanilla-4.4 ']'
> + cd kernel-4.4.fc23
> + cp -al vanilla-4.4 linux-4.4.10-300.fc23.x86_64
> + rm -rf deleteme-linux-4.4.10-300.fc23.x86_64
> + cd linux-4.4.10-300.fc23.x86_64
> + '[' '!' -d .git ']'
> + git init
> Initialized empty Git repository in
> /home/krusader/rpmbuild/BUILD/kernel-4.4.fc23/linux-4.4.10-300.fc23.x86_64/.
> git/
> + git config user.email kernel-team@fedoraproject.org
> + git config user.name 'Fedora Kernel Team'
> + git config gc.auto 0
> + git add .
> + git commit -a -q -m baseline
> + xzcat /home/krusader/rpmbuild/SOURCES/patch-4.4.10.xz
> + patch -p1 -F1 -s
> Reversed (or previously applied) patch detected!  Assume -R? [n]
> 
> I am clueless what to do now?
> Thanks,
> - Roland

Did you follow the directions at https://fedoraproject.org/wiki/Building_a_custom_kernel ?
Comment 82 Roland 2016-05-15 02:11:45 EDT
save yourself the energy.
I am migrated to kubuntu.
Comment 83 Josh Boyer 2016-08-20 10:20:52 EDT
*** Bug 1368670 has been marked as a duplicate of this bug. ***
Comment 84 Josh Boyer 2016-11-28 07:40:54 EST
*** Bug 1398395 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.